Debian Bug report logs - #350664
xterm: Escape sequence does not always change cursor colour

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Cameron Hutchison <camh+db@xdna.net>

Date: Tue, 31 Jan 2006 04:03:02 UTC

Severity: minor

Found in version xterm/208-3.1

Fixed in version xterm/210-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#350664; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Cameron Hutchison <camh+db@xdna.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cameron Hutchison <camh+db@xdna.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: Escape sequence does not always change cursor colour
Date: Tue, 31 Jan 2006 14:41:59 +1100
Package: xterm
Version: 208-3.1
Severity: minor

The escape sequence for changing the cursor colour does not work when
you are trying to change the cursor colour to the same colour as the
foreground text.

eg.
$ xterm -fg green -bg black
xterm$ echo -ne "\E]12;red\007"
xterm$ echo -ne "\E]12;green\007"
xterm$ echo -ne "\E]12;blue\007"
xterm$ echo -ne "\E]12;green\007"

The lines that should set the cursor to green do nothing.

The problem appears to be in charproc.c in set_cursor_gcs() where it
checks to see if the cursor colour is different from the foreground and
background colour. If so, it operates as though the cursor colour has
changed. Yet in this above case, the cursor colour has changed _to_ the
foreground colour.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13.4-imladris-1
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages xterm depends on:
ii  libc6                     2.3.5-12       GNU C Library: Shared libraries an
ii  libfontconfig1            2.3.2-1.1      generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libice6                   6.9.0.dfsg.1-4 Inter-Client Exchange library
ii  libncurses5               5.5-1          Shared libraries for terminal hand
ii  libsm6                    6.9.0.dfsg.1-4 X Window System Session Management
ii  libx11-6                  6.9.0.dfsg.1-4 X Window System protocol client li
ii  libxaw8                   6.9.0.dfsg.1-4 X Athena widget set library
ii  libxext6                  6.9.0.dfsg.1-4 X Window System miscellaneous exte
ii  libxft2                   2.1.8.2-2      FreeType-based font drawing librar
ii  libxmu6                   6.9.0.dfsg.1-4 X Window System miscellaneous util
ii  libxrender1               1:0.9.0.2-1    X Rendering Extension client libra
ii  libxt6                    6.9.0.dfsg.1-4 X Toolkit Intrinsics
ii  xlibs-data                6.9.0.dfsg.1-4 X Window System client data
ii  zlib1g                    1:1.2.3-9      compression library - runtime

Versions of packages xterm recommends:
ii  xutils                    6.9.0.dfsg.1-4 X Window System utility programs

-- no debconf information



Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Cameron Hutchison <camh+db@xdna.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 350664-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 350664-close@bugs.debian.org
Subject: Bug#350664: fixed in xterm 210-1
Date: Mon, 13 Mar 2006 21:37:47 -0800
Source: xterm
Source-Version: 210-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_210-1.diff.gz
  to pool/main/x/xterm/xterm_210-1.diff.gz
xterm_210-1.dsc
  to pool/main/x/xterm/xterm_210-1.dsc
xterm_210-1_i386.deb
  to pool/main/x/xterm/xterm_210-1_i386.deb
xterm_210.orig.tar.gz
  to pool/main/x/xterm/xterm_210.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 350664@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 13 Mar 2006 22:12:41 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 210-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 347415 348384 348457 350664 351425
Changes: 
 xterm (210-1) unstable; urgency=low
 .
   * New upstream release (the following are fixes immediately relevant to
     Debian. More are in the upstream changelog)
     + allow cursor to have the same color as foreground (text), since it is
       rendered as reverse (closes: #350664)
     + add TIOCSCTTY ioctl() ifdef'd for __GNU__ to set the controlling
       terminal (closes: #348457)
     + typo in manpage (closes: #351425)
     + revert the XTerm.ad change from patch #208 (closes: #348384)
     + add check to ensure that double-clicking to extend selection will not
       extend it into the scrollback area. This still allows users to scroll
       back and select text (closes: #347415)
    * Remove the 01_stolen_from_HEAD patch, as it is now obsolete
    * Switch build dependency from libxaw8-dev to libxaw7-dev
    * debian/rules clean target now calls make clean instead of distclean
    * Use dh_install's --list-missing option
    * Merge duplicate Provides fields
Files: 
 4288a33ed518cdf13dfad2f635199f88 769 x11 optional xterm_210-1.dsc
 1528b95619b21740c01addd5c9fdb4f0 761944 x11 optional xterm_210.orig.tar.gz
 2e4344fa69b5509a4304047b8e0e7c94 60615 x11 optional xterm_210-1.diff.gz
 d4cbebe84de67b0e00f915726b3718cc 390176 x11 optional xterm_210-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEFjepyLfpNdY0ad8RAm5DAJ0aQJH4bKExQcrD05yVTCozP7n0+QCdER48
Ft6vFa0Thg3Q9Iv190jYwGE=
=n1eR
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#350664; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "Heike Park" <Heike_Park@Latah.id.us>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 350664@bugs.debian.org (full text, mbox):

From: "Heike Park" <Heike_Park@Latah.id.us>
To: <350664@bugs.debian.org>
Subject: beaten Often
Date: Fri, 20 Apr 2007 17:44:10 +0800
Then open the SWF file in the same hex editor.

AN ALLE FINANZINVESTOREN!
DIESE AKTIE WIRD DURCHSTARTEN!
FREITAG 20. APRIL STARTET DIE HAUSSE!
REALISIERTER KURSGEWINN VON 400%+ IN 5 TAGEN!

Symbol: G7Q.F
Company: COUNTY LINE ENERGY
5 Tages Kursziel: 0.95
Schlusskurs: 0.21
WKN:  A0J3B0
ISIN: US2224791077
Markt: Frankfurt

LASSEN SIE SICH DIESE CHANCE NICHT ENTGEHEN!
G7Q WIRD WIE EINE RAKETE DURCHSTARTEN!
UNSERE ERWARTUNGEN WIRD G7Q.F UBERTREFFEN!

Some of the humans understood that what they had wakened could be the end of them, that it might be the end of their Straumli Realm.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 05:51:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:38:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.